SPEED = 750
direction = "left"

function love.load()
    direction = "left"
    position = 100

    character_left = love.graphics.newImage("left.png")
    character_right = love.graphics.newImage("right.png")
end

function love.draw()
    love.graphics.print("Press the left and right arrow keys to move", 10, 10)

    if direction == "left" then
        image = character_left
    else
        image = character_right
    end

    love.graphics.draw(image, position, 50)

    love.graphics.print("Image from bevouliin: https://bevouliin.com/", 525, 580)
end

function love.update(dt)
    if love.keyboard.isDown("left") then
        direction = "left"
        position = position - SPEED * dt
    elseif love.keyboard.isDown("right") then
        direction = "right"
        position = position + SPEED * dt
    end

    position = math.min(position, 800 - 304)
    position = math.max(position, 0)
end

function love.keypressed(key)
    if key == "escape" then
        love.event.quit()
    end
end